## ros-eloquent-py-trees-ros 2.0.11

=== doc/requirements.txt ===
##############################################################################
#
# Requirements for sphinx documentation environment. Most dependencies
# are mocked.
#
# This file is discovered by the root level
# .readthedocs.yaml (rtd build) and docenv.bash (local build)
##############################################################################

Sphinx<2
sphinx-argparse<0.3
sphinx_rtd_theme<0.5
sphinx-autodoc-typehints==1.6.0
py_trees>=1.1

=== debian/changelog ===
ros-eloquent-py-trees-ros (2.0.11-1bionic) bionic; urgency=high

  * [blackboards] log a one-shot warning instead of exceptions when pickle fails, #156 <https://github.com/splintered-reality/py_trees_ros/pull/156>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2020 04:00:00 -0000

ros-eloquent-py-trees-ros (2.0.10-1bionic) bionic; urgency=high

  * [mock] server bugfixed to accommodate custom result handlers, #154 <https://github.com/splintered-reality/py_trees_ros/pull/154>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Mar 2020 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.9-1bionic) bionic; urgency=high

  * [behaviours] default to periodic checks with warnings for action client timeouts, #153 <https://github.com/splintered-reality/py_trees_ros/pull/153>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 05 Mar 2020 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.8-1bionic) bionic; urgency=high

  * [behaviours] wait_for_server_timeout_sec in action clients, #152 <https://github.com/splintered-reality/py_trees_ros/pull/152>
  * [trees] avoid irregular snapshot streams by avoiding timing jitter, #151 <https://github.com/splintered-reality/py_trees_ros/pull/151>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.7-1bionic) bionic; urgency=high

  * [programs] graph discovery timeouts 1.0->2.0s, #149 <https://github.com/splintered-reality/py_trees_ros/pull/149>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Feb 2020 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.6-1bionic) bionic; urgency=high

  * [behaviours] action client goals from blackboard behaviour, #148 <https://github.com/splintered-reality/py_trees_ros/pull/148>
  * [behaviours] publish from blackboard behaviour, #146 <https://github.com/splintered-reality/py_trees_ros/pull/146>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Feb 2020 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.5-1bionic) bionic; urgency=high

  * [serialisation] include parallel policy details

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.4-1bionic) bionic; urgency=high

  * [blackboard] bugfix protection against activity stream not activitated for views, #140 <https://github.com/splintered-reality/py_trees_ros/pull/140>
  * [trees] bugfix toggle for activity client on reconfigure, #139 <https://github.com/splintered-reality/py_trees_ros/pull/139>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 30 Dec 2019 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.3-1bionic) bionic; urgency=high

  * [infra] add a marker file to assist with ros2cli discovery #138 <https://github.com/splintered-reality/py_trees_ros/pull/138>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.2-1bionic) bionic; urgency=high

  * [trees] on-demand snapshot stream services, similar to blackboard streams, #135 <https://github.com/splintered-reality/py_trees_ros/pull/135>, #136 <https://github.com/splintered-reality/py_trees_ros/pull/136>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.1-1bionic) bionic; urgency=high

  * [trees] periodically publish snapshots, #131 <https://github.com/splintered-reality/py_trees_ros/pull/131>,
  * [trees] permit setup visitors, provide a default with timings, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] bugfix non-infinite timeout arg getting ignored, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] snapshot now publishing tree changed flag and key access info, #128 <https://github.com/splintered-reality/py_trees_ros/pull/128>
  * [utilities] deprecate myargv for rclpy.utilities.remove_ros_args, #130 <https://github.com/splintered-reality/py_trees_ros/pull/130>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 Dec 2019 05:00:00 -0000

ros-eloquent-py-trees-ros (2.0.0-1bionic) bionic; urgency=high

  * [blackboards] updated pretty printing to differentiate namespace vs attribute access, #123 <https://github.com/splintered-reality/py_trees_ros/pull/123>
  * [blackboards] api updates for namespaced clients, #122 <https://github.com/splintered-reality/py_trees_ros/pull/122>,
  * [tests] migrated tests from unittest to pytest
  * [transforms] behaviours for writing to and broadcasting from the blackboard, #121 <https://github.com/splintered-reality/py_trees_ros/pull/121>
  * [transforms] add missing mocks and update to latest blackboard api, #125 <https://github.com/splintered-reality/py_trees_ros/pull/125>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 20 Nov 2019 05:00:00 -0000

ros-eloquent-py-trees-ros (1.2.1-1bionic) bionic; urgency=high

  * [trees] bugfix KeyError on publication of missing keys, #118 <https://github.com/splintered-reality/py_trees_ros/pull/118>
  * [utilities] a ros myargv stipper, a'la ROS1 style, until something is available upstream

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 08 Oct 2019 04:00:00 -0000

ros-eloquent-py-trees-ros (1.2.0-1bionic) bionic; urgency=high

  * [blackboards] sweeping changes to accomodate the new blackboards with tracking, #109 <https://github.com/splintered-reality/py_trees_ros/pull/109>
  * [backend] ensure tree modifications are published with an updated timestamp, #100 <https://github.com/splintered-reality/py_trees_ros/pull/100>
  * [behaviours] subscriber related behaviours now *require* qos_profile args, #104 <https://github.com/splintered-reality/py_trees_ros/pull/104>
  * [trees] ros parameterisation of the setup timeout, #101 <https://github.com/splintered-reality/py_trees_ros/pull/101>
  * [trees] make use of the new DisplaySnapshotVisitor, #102 <https://github.com/splintered-reality/py_trees_ros/pull/102>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 02 Oct 2019 04:00:00 -0000

ros-eloquent-py-trees-ros (1.1.2-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-eloquent-py-trees-ros
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, python3-setuptools, ros-eloquent-geometry-msgs, ros-eloquent-py-trees, ros-eloquent-py-trees-ros-interfaces, ros-eloquent-rcl-interfaces, ros-eloquent-rclpy, ros-eloquent-ros2topic, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-tf2-ros, ros-eloquent-unique-identifier-msgs, ros-eloquent-ros-workspace, python3-all, python3-setuptools
Homepage: https://py-trees-ros.readthedocs.io/en/release-1.2.x/
Standards-Version: 3.9.2

Package: ros-eloquent-py-trees-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-eloquent-geometry-msgs, ros-eloquent-py-trees, ros-eloquent-py-trees-ros-interfaces, ros-eloquent-rcl-interfaces, ros-eloquent-rclpy, ros-eloquent-ros2topic, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-tf2-ros, ros-eloquent-unique-identifier-msgs, ros-eloquent-ros-workspace
Description: ROS2 extensions and behaviours for py_trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/eloquent" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-py-trees-ros//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
